Subject: Re: bug#50881: C-h C-s leads to empty " *Metahelp*" buffer

From: Stefan Kangas <[email-masked]>
Date: Wed, 29 Sep 2021 03:45:31 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>> I tried to reproduce this, then typed 'C-h C-h', and it highlights
>> matching parens on the first line.  This not only makes no sense,
>> but also distracting for users seeking help.
>> 'show-paren-mode' should be disabled in all read-only buffers.
>
> Yup.  Perhaps disable it in `special-mode'?

Sounds good to me, but are there any special-modes where it is useful?

Perhaps we can just disable it in `special-mode', and if we think of
some modes where it seems really useful, we re-enable it for them?